Package org.eclipse.emf.cdo.transaction

## Interface CDOTransactionFinishedEvent

- All Superinterfaces:
    `CDOViewEvent`, `org.eclipse.net4j.util.event.IEvent`

      public interface CDOTransactionFinishedEvent
      extends CDOViewEvent

  A `view event` fired from a `transaction` when it becomes `clean` after a sucessful `commit` or `rollback`.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `CDOTransactionFinishedEvent.Cause` | Enumerates the possible `causes` for a `transaction` to become finished.
    `static class` | `CDOTransactionFinishedEvent.Type` | Deprecated. As of 4.3 use `CDOTransactionFinishedEvent.Cause`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOTransactionFinishedEvent.Cause` | `getCause()` |
    `java.util.Map<CDOID,​CDOID>` | `getIDMappings()` |
    `CDOTransactionFinishedEvent.Type` | `getType()` | Deprecated. As of 4.3 use `getCause()`.

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewEvent

      `getSource`

- - ### Method Detail

    - #### getType

          @Deprecated
          CDOTransactionFinishedEvent.Type getType()

      Deprecated.
      As of 4.3 use `getCause()`.

    - #### getCause

          CDOTransactionFinishedEvent.Cause getCause()

      Since:
        4.3

    - #### getIDMappings

          java.util.Map<CDOID,​CDOID> getIDMappings()